I have Mac OS X 10.5.8. Do I upgrade to MAC OS X 10.6 in order to use Facetime?

Back To Product

Follow this Question

6 Answers from the Community

  • Best Answer:

    Yes, that's what I'm going to do. In order to use Facetime, you must have Snow Leopard. I'm going to buy the $29 Mac OS X 10.6 Snow Leopard.

    Was this useful? Answer 1

    153 of 171 people found this useful

  • Actually RK the poster is talking about using Facetime on a mac. To do this you must have Snow Leopard. You do not need snow leopard to use facetime on an iPhone but you do need it on your mac to use facetime on your mac.

    Was this useful? Answer 2

    42 of 51 people found this useful

  • yes

    Was this useful? Answer 3

    1 of 7 people found this useful

  • yes

    Was this useful? Answer 4

    9 of 23 people found this useful

  • yes

    Was this useful? Answer 5

    0 of 6 people found this useful

  • Actually you do not need Snow Leopard to get face time. I'm on 10.5.8 and have an iPhone 4 and can easily use face time. Having said that, for the $29 it's time to upgrade.

    Was this useful? Answer 6

    29 of 66 people found this useful

Related Questions